Languages 
  • English
  • 中文
  • 日本語

SDK Deprecation Schedule

We will soon begin deprecating our older SDK versions across all platforms. Our clients and partners are strongly encouraged to upgrade to our latest SDK version in order to continue to be compatible with all of our various features, updates, and fraud prevention services.

What is the SDK Deprecation?

  • Once an SDK version has been deprecated, no new app integrations will be possible.

What is a Sunset Date? 

  • Once the SDK version has been sunset, support will be dropped for that version entirely. This means no information or data is collected and all functionality ceases to be. This also means that the Adjust Support teams will also not be able to assist with issues encountered while using a now deprecated SDK version

How do I see my app’s most active SDK Version?

  1. Find your app and select your app options caret (^)
  2. Select All Settings
  3. Select Show App Details (if most active SDK version is hidden)

Note: The “most active SDK version” might not be the most current version of the Adjust SDK integrated into your app. This is because existing users must update your app on their device to update to the latest SDK version. If you have never updated the Adjust SDK integrated into your app, then the most active SDK version” will be the current version of the Adjust SDK in your app.

Deprecation Schedule

Please view our deprecation schedule below and begin coordinating your upgrade. As SDK versions are deprecated, this page will be updated to reflect the schedules. Please click here the to find the latest version of the Adjust SDK for your platform of choice. For Android and iOS, upgrading to our latest SDK (v4.21.0) is recommended. 

SDK VersionDeprecation DateSunset Date
1.0 - 1.6April 1st, 2020May 15th, 2020
2.0 - 2.2April 1st, 2020May 15th, 2020
3.0 - 3.6.2July 1st, 2020September 30th, 2020
4.0 - 4.11Nov 1st, 2020March 31st, 2021

Note: If your app is currently on SDK v4.12 and above, there is no need to upgrade your SDK at this time. 

What are the benefits of updating my SDK version?

  • You'll have a version of the Adjust SDK that will continue to be supported.
  • Upgrading to future SDK versions will be a much more streamlined process if you're already on v4.21.0.
  • Adjust's latest SDK versions will allow you to access additional features not found in our older SDKs — including stronger fraud protection and security options within our industry-leading Adjust Protect suite of products. 

Should you have any questions or need assistance with upgrading your SDK version, please feel free to reach out to support@adjust.com